Bug 1302034 - It's possible to remove inherited permissions from Everyone's group
It's possible to remove inherited permissions from Everyone's group
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
3.6.3
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.0.0-beta
: 4.0.0
Assigned To: Ondra Machacek
Gonza
: Automation
Depends On:
Blocks: 1340932
  Show dependency treegraph
 
Reported: 2016-01-26 10:20 EST by Ondra Machacek
Modified: 2016-07-05 03:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1340932 (view as bug list)
Environment:
Last Closed: 2016-07-05 03:38:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
mperina: devel_ack+
pnovotny: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 55107 master MERGED engine: don't allow removal of inherited perms via rest 2016-04-02 13:51 EDT
oVirt gerrit 55882 master MERGED aaa: fix group's permissions removal 2016-04-12 03:14 EDT

  None (edit)
Description Ondra Machacek 2016-01-26 10:20:27 EST
Description of problem:
It's possible to remove inhertied permissions from Everyone's group.
If for example user will inherit UserTemplateBasedVm role on Blank template.
Then if he check in webadmin this inhertited permission, he can't remove it,
but if he try to remove this inherited permission via REST it's removed successfully
and also removed from Everyone's group.

Version-Release number of selected component (if applicable):
3.6.3

How reproducible:
always

Steps to Reproduce:
1. Add external user to system.
2. Remove some of the inhertied permissions from Everyone group from user
$ curl -X DELETE -H "Content-type: application/xml" -k -u admin@internal:password $URL/users/1905239d-0c8a-48bb-b454-f24915a128f7/permissions/00000004-0004-0004-0004-000000000355

Actual results:
It's successfully deleted. Also from Everyone group

Expected results:
Inherited permissions from group shouldn't be possible to remove.
Or could be, but don't remove it from group as well.

Additional info:
Comment 1 Juan Hernández 2016-01-26 10:54:23 EST
The API doesn't perform this kind of check, it just forwards the request from the caller to the backend. If deleting these permissions shouldn't be allowed then the backend should reject the operation and respond to the API with the appropriate error message.
Comment 2 Gonza 2016-06-21 05:59:41 EDT
Verified with:
rhevm-4.0.0.5-0.1.el7ev.noarch
Comment 3 Sandro Bonazzola 2016-07-05 03:38:35 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.